Madhawa Learns To Blog : C#, Java

.net, c#, java,sql, OOAD and more mad memory dumps...

  Home  |   Contact  |   Syndication    |   Login
  47 Posts | 0 Stories | 57 Comments | 15 Trackbacks

News

Archives

Post Categories

Blog Roll

Hang Outs

My old blog

Today I had to work on a project which uses VS2008 and SQL Server 2008. I haven't used SQL2008 but had used VS2008 a little bit. When I tried to install SQL2008 (Developer edition) got this strange error which says "Microsoft .NET Framework 3.5 installation has failed. SQL 2008 Setup requires .NET 3.5 to be installed."

Strange thing is I had installed .NET 3.5 in the VPC upfront. Actually you are installing .NET 3.5 when you install VS2008 right?

Anyway I tried to resolve this using,

1. Uninstall .NET 3.5 and try install SQL 2008 (SQL 2008 setup comming with .NET 3.5 installation)

2. Reinstall .NET 3.5 and install SQL 2008

3. Reinstall .NET 3.5, service pack and install SQL 2008

Yes... I failed. I can't remember what other things I tried. :)

So then I went for other possible option, that is to connect to an existing SQL2008 server through VS2008. Then I got this damn error message.

 "This server version is not supported. Only servers up to Microsoft SQL Server 2005 are supported.".

But fortunately this time I got the resolution. You had to install <a href="http://download.microsoft.com/download/6/7/0/670ce765-4c9b-4620-902f-b9fc9a7c3c2d/vs90-kb945855.exe">vs90-kb945855.exe</a>. Then you can connect to SQL2008 from VS2008.

But still I didn't get an answer for my first prob. If anyone knows the answer pls drop the solution here. Thanks in advance.

 

posted on Thursday, January 22, 2009 9:21 PM

Feedback

# re: Errors "Microsoft .NET Framework 3.5 installation has failed. SQL 2008 Setup requires .NET 3.5 to be installed." and "This 2/13/2009 11:49 AM tourist.tam
I am relieved I am not the only one.

Post A Comment
Title:
Name:
Email:
Comment:
Verification: